"use strict";
const index_1 = require("./index");
const util_1 = require("../util");
exports.fromMap = (map, key, valueParser) => {
    if (util_1.isNil(map)) {
        throw new index_1.ParserError('Map', map);
    }
    if (typeof map !== 'object') {
        throw new index_1.ParserError('Map', map);
    }
    if (!(key in map)) {
        throw new index_1.ParserError(`Map containing key ${key}`, JSON.stringify(map));
    }
    return valueParser(map[key]);
};
